# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(AnyEvent/HTTP.pm) perl(AnyEvent/HiveJSO.pm) perl(AnyEvent/SerialPort.pm) perl(DDP.pm) perl(Data/Printer.pm) perl(DateTime.pm) perl(ExtUtils/MakeMaker.pm) perl(File/ShareDir/Install.pm) perl(File/ShareDir/ProjectDistDir.pm) perl(HiveJSO.pm) perl(JSON/MaybeXS.pm) perl(MooX.pm) perl(MooX/Options.pm) perl(Path/Tiny.pm) perl(Plack.pm) perl(Plack/Builder.pm) perl(Plack/Middleware/Rewrite.pm) perl(PocketIO.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Twiggy.pm) perl(Twiggy/Server.pm)
# END SourceDeps(oneline)
%define module_version 0.001
%define module_name App-HiveHub
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001
Release: alt1
Summary: Implementation of Hive Hub for gathering from the hive drones [IN DEVELOPMENT]
Group: Development/Perl
License: perl
URL: https://github.com/homehivelab/p5-app-hivehub

Source0: http://cpan.org.ua/authors/id/G/GE/GETTY/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/A*
%perl_vendor_privlib/auto/*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Sat Sep 20 2014 Igor Vlasenko <viy@altlinux.ru> 0.001-alt1
- initial import by package builder

